Fhead="s1502torus";
Texparent="";
Slidename="";
FheadC="torus";

Start3d();

Putaxes3d(5);
Xyzax3data("","x=[-5,5]","y=[-5,5]","z=[-5,5]");

Fd=["p","x=(3+cos(u))*cos(v)","y=(3+cos(u))*sin(v)","z=sin(u)",
"u=[0,2*pi]","v=[0,2*pi]",""
];

FdC=[
  ["x=(3+cos(u))*cos(v)","y=(3+cos(u))*sin(v)","z=sin(u)"
 ],
 "u=[0.0,2*M_PI]","v=[0.0,2*M_PI]","",
// [100,100],[5000,3000,500],[0.01,0.1]
 [50,50],[5000,3000,500],[0.02,0.1]
];


MainC=[
 "writesfbd",["sfbd"],
 "writeax",["ax"],
 "writewire",["wire",4,[pi/6*(1..12),pi/6*(1..12)]]
];

black="Color=[0,0,0]";
red="Color=[1,0,0]";
blue="Color=[0,0,1]";

DispC=[
 "sfbd",[black],
// "sfbdh",[red],
 "ax",[black],
// "crvh",[red],
 "wire",["dr,0.3",black],
// "wireh",["dr,0.3",red]
];


if(contains(Ch,0),
 Sf3data("1",Fd);
);
if(contains(Ch,1),
 Changestyle3d(Datalist3d(),["nodisp"]);
 DisplayC();
);

Windispg();
